Last Comment Bug 804657 - Remove UI for HTTP Networking, Enable Keep-Alive, N/A Since Bug 770331
: Remove UI for HTTP Networking, Enable Keep-Alive, N/A Since Bug 770331
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: SeaMonkey 2.14 Branch
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 10:33 PDT by therube
Modified: 2012-10-31 13:21 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
unaffected
fixed
fixed
fixed


Attachments
Proposed patch (5.75 KB, patch)
2012-10-23 16:18 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
Details | Diff | Splinter Review
Branch-safe version (5.33 KB, patch)
2012-10-27 07:25 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Splinter Review

Description therube 2012-10-23 10:33:20 PDT
Bug 770331 - Remove HTTP Keep-Alive disable pref, removed both the Preference & the functionality related to the Pref to disable 'Enable Keep-Alive', so having the UI is now moot.
Comment 1 neil@parkwaycc.co.uk 2012-10-23 16:18:52 PDT
Created attachment 674431 [details] [diff] [review]
Proposed patch
Comment 2 Ian Neal 2012-10-27 04:55:53 PDT
Comment on attachment 674431 [details] [diff] [review]
Proposed patch

Could you also remove the relevant section from the help too
http://mxr.mozilla.org/comm-central/source/suite/locales/en-US/chrome/common/help/cs_nav_prefs_advanced.xhtml#412
r=me with that fixed.
Comment 3 neil@parkwaycc.co.uk 2012-10-27 07:16:55 PDT
Pushed comm-central changeset 1789fa3d0540.
Comment 4 neil@parkwaycc.co.uk 2012-10-27 07:25:13 PDT
Created attachment 675842 [details] [diff] [review]
Branch-safe version

[Approval Request Comment]
Regression caused by (bug #): 770331
User impact if declined: Pref panel behaves incorrectly
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky):
String changes made by this patch: Help file entry removed. DTD entity removals were removed from this patch.

Note You need to log in before you can comment on or make changes to this bug.